summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPetteri Räty <betelgeuse@gentoo.org>2008-02-12 23:51:51 +0000
committerPetteri Räty <betelgeuse@gentoo.org>2008-02-12 23:51:51 +0000
commitcc5f2b5e1037124ef486160da35325e050a04519 (patch)
treecc7d4b3a897643f35c6d8a97a05488a8af61d72e /eclass/base.eclass
parentremove liquidx from metadata and add gnome to the list of herds (diff)
downloadhistorical-cc5f2b5e1037124ef486160da35325e050a04519.tar.gz
historical-cc5f2b5e1037124ef486160da35325e050a04519.tar.bz2
historical-cc5f2b5e1037124ef486160da35325e050a04519.zip
Quote variables
Diffstat (limited to 'eclass/base.eclass')
-rw-r--r--eclass/base.eclass16
1 files changed, 8 insertions, 8 deletions
diff --git a/eclass/base.eclass b/eclass/base.eclass
index e682dd1b1c5c..88af00615d54 100644
--- a/eclass/base.eclass
+++ b/eclass/base.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/base.eclass,v 1.31 2007/09/12 20:05:33 betelgeuse Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/base.eclass,v 1.32 2008/02/12 23:51:51 betelgeuse Exp $
#
# Author Dan Armak <danarmak@gentoo.org> (nowadays retired)
#
@@ -16,7 +16,7 @@ base_src_unpack() {
debug-print-function $FUNCNAME $*
[ -z "$1" ] && base_src_unpack all
- cd ${WORKDIR}
+ cd "${WORKDIR}"
while [ "$1" ]; do
@@ -27,13 +27,13 @@ base_src_unpack() {
;;
patch)
debug-print-section patch
- cd ${S}
- epatch ${FILESDIR}/${P}-gentoo.diff
+ cd "${S}"
+ epatch "${FILESDIR}/${P}-gentoo.diff"
;;
autopatch)
debug-print-section autopatch
debug-print "$FUNCNAME: autopatch: PATCHES=$PATCHES, PATCHES1=$PATCHES1"
- cd ${S}
+ cd "${S}"
for x in $PATCHES $PATCHES1; do
debug-print "$FUNCNAME: autopatch: patching from ${x}"
epatch ${x}
@@ -55,7 +55,7 @@ base_src_compile() {
debug-print-function $FUNCNAME $*
[ -z "$1" ] && base_src_compile all
- cd ${S}
+ cd "${S}"
while [ "$1" ]; do
@@ -84,14 +84,14 @@ base_src_install() {
debug-print-function $FUNCNAME $*
[ -z "$1" ] && base_src_install all
- cd ${S}
+ cd "${S}"
while [ "$1" ]; do
case $1 in
make)
debug-print-section make
- make DESTDIR=${D} install || die "died running make install, $FUNCNAME:make"
+ make DESTDIR="${D}" install || die "died running make install, $FUNCNAME:make"
;;
all)
debug-print-section all